[cXF] Bookmark Post Bottom

Pack A [cXF] Bookmark Post Bottom 1.0.0

No permission to download

BassMan

Staff member
Administrator
Messages
902
Website
www.customizexf.com

Kilany

cXF PREMIUM
Messages
4
Hi

I have problem when install it

PHP:
ErrorException: Template error: Macro public:bookmark_macros:link is unknown src/XF/Template/Templater.php:558

#0 [internal function]: XF\Template\Templater->handleTemplateError(512, 'Macro public:bo...', '/var/www/vhosts...', 558, Array)
#1 src/XF/Template/Templater.php(558): trigger_error('Macro public:bo...', 512)
#2 src/XF/Template/Templater.php(662): XF\Template\Templater->getTemplateMacro('public', 'bookmark_macros', 'link')
#3 internal_data/code_cache/templates/l4/s61/public/post_macros.php(437): XF\Template\Templater->callMacro('bookmark_macros', 'link', Array, Array)
#4 src/XF/Template/Templater.php(663): XF\Template\Templater->{closure}(Object(DBTech\UserTagging\XF\Template\Templater), Array, Array)
#5 internal_data/code_cache/templates/l4/s61/public/thread_view.php(649): XF\Template\Templater->callMacro('post_macros', 'post', Array, Array)
#6 src/XF/Template/Templater.php(1250): XF\Template\Templater->{closure}(Object(DBTech\UserTagging\XF\Template\Templater), Array)
#7 src/XF/Template/Template.php(24): XF\Template\Templater->renderTemplate('thread_view', Array)
#8 src/XF/Mvc/Renderer/Html.php(48): XF\Template\Template->render()
#9 src/XF/Mvc/Dispatcher.php(332): XF\Mvc\Renderer\Html->renderView('XF:Thread\\View', 'public:thread_v...', Array)
#10 src/XF/Mvc/Dispatcher.php(303): XF\Mvc\Dispatcher->renderView(Object(XF\Mvc\Renderer\Html), Object(XF\Mvc\Reply\View))
#11 src/XF/Mvc/Dispatcher.php(44): XF\Mvc\Dispatcher->render(Object(XF\Mvc\Reply\View), 'html')
#12 src/XF/App.php(1934): XF\Mvc\Dispatcher->run()
#13 src/XF.php(333): XF\App->run()
#14 index.php(13): XF::runApp('XF\\Pub\\App')
#15 {main}
 

Kilany

cXF PREMIUM
Messages
4
This add-on is for XF 2.1 and above. Bookmarks are XF 2.1 functionality.
Okay.

XF2.1 are Is it compatible with XF2.0 addition if I upgrade to 2.1 I mean when I have XF2.1 my old additions for 2.0 are working without problem on XF2.1?

Another question
Animated images explain the additions .. What to use a site or program.

Thanks
 

BassMan

Staff member
Administrator
Messages
902
Website
www.customizexf.com
XF2.1 are Is it compatible with XF2.0 addition if I upgrade to 2.1 I mean when I have XF2.1 my old additions for 2.0 are working without problem on XF2.1?
Not all. Well, my add-ons will be and actually already are compatible with 2.1. All other additions that you've done probably manually are not necessary to work. Specially Font Awesome icons.


Animated images explain the additions .. What to use a site or program.
You mean with what program I've done it?
 

techside

cXF PREMIUM
Messages
17
Install Enhanced Bookmarks but the bookmark button did not appear in the navigation menu ... I don’t understand how to add it to the menu, or there is a conflict with your top navigation add-ons or "What's new .."
It would be cool if you implemented this feature in your plugin.
 

BassMan

Staff member
Administrator
Messages
902
Website
www.customizexf.com
Yes, it could be a conflict with both add-ons. That one will not work, I will need to do my version to support my add-ons. Well, I did it for myself on my other forum, maybe I'll pack it for cXF too, just not sure how, because similar add-on like said already exist.
 

Create an account or login to comment

You must be a member in order to leave a comment

Create account

Create an account on our community. It's easy!

Log in

Already have an account? Log in here.

Top